# Ogre::StringUtil Class Reference

Utility class for manipulating Strings. More...

`#include <OgreString.h>`

List of all members.

## Public Types

typedef std::stringstream | StrStreamType

## Static Public Member Functions

void | trim (String &str, bool left=true, bool right=true)
| Removes any whitespace characters, be it standard space or TABs and so on.
std::vector< String > | split (const String &str, const String &delims="\t\n", unsigned int maxSplits=0)
| Returns a StringVector that contains all the substrings delimited by the characters in the passed `delims` argument.
void | toLowerCase (String &str)
| Upper-cases all the characters in the string.
void | toUpperCase (String &str)
| Lower-cases all the characters in the string.
Real | toReal (const String &str)
| Converts the contents of the string to a Real.
bool | startsWith (const String &str, const String &pattern, bool lowerCase=true)
| Returns whether the string begins with the pattern passed in.
bool | endsWith (const String &str, const String &pattern, bool lowerCase=true)
| Returns whether the string ends with the pattern passed in.
String | standardisePath (const String &init)
| Method for standardising paths - use forward slashes only, end with slash.
void | splitFilename (const String &qualifiedName, String &outBasename, String &outPath)
| Method for splitting a fully qualified filename into the base name and path.
bool | match (const String &str, const String &pattern, bool caseSensitive=true)
| Simple pattern-matching routine allowing a wildcard pattern.

## Static Public Attributes

const String | BLANK
| Constant blank string, useful for returning by ref where local does not exist.

## Detailed Description

Utility class for manipulating Strings.

Definition at line 85 of file OgreString.h.

## Member Typedef Documentation

typedef std::stringstream Ogre::StringUtil::StrStreamType

| Definition at line 88 of file OgreString.h.

## Member Function Documentation

bool Ogre::StringUtil::endsWith | ( | const String & | str,
|  | const String & | pattern,
|  | bool | lowerCase = true
| ) | `[static]`

Returns whether the string ends with the pattern passed in.

Parameters:

  pattern | The pattern to compare with.
  lowerCase | If true, the end of the string will be lower cased before comparison, pattern should also be in lower case.

bool Ogre::StringUtil::match | ( | const String & | str,
|  | const String & | pattern,
|  | bool | caseSensitive = true
| ) | `[static]`

Simple pattern-matching routine allowing a wildcard pattern.

Parameters:

  str | String to test
  pattern | Pattern to match against; can include simple '*' wildcards
  caseSensitive | Whether the match is case sensitive or not

std::vector< String > Ogre::StringUtil::split | ( | const String & | str,
|  | const String & | delims = "\t\n",
|  | unsigned int | maxSplits = 0
| ) | `[static]`

Returns a StringVector that contains all the substrings delimited by the characters in the passed `delims` argument.

Parameters:

  delims | A list of delimiter characters to split by
  maxSplits | The maximum number of splits to perform (0 for unlimited splits). If this parameters is > 0, the splitting process will stop after this many splits, left to right.

void Ogre::StringUtil::splitFilename | ( | const String & | qualifiedName,
|  | String & | outBasename,
|  | String & | outPath
| ) | `[static]`

Method for splitting a fully qualified filename into the base name and path.

Remarks:
  Path is standardised as in standardisePath

String Ogre::StringUtil::standardisePath | ( | const String & | init | ) | `[static]`

| Method for standardising paths - use forward slashes only, end with slash.

bool Ogre::StringUtil::startsWith | ( | const String & | str,
|  | const String & | pattern,
|  | bool | lowerCase = true
| ) | `[static]`

Returns whether the string begins with the pattern passed in.

Parameters:

  pattern | The pattern to compare with.
  lowerCase | If true, the end of the string will be lower cased before comparison, pattern should also be in lower case.

void Ogre::StringUtil::toLowerCase | ( | String & | str | ) | `[static]`

| Upper-cases all the characters in the string.

Real Ogre::StringUtil::toReal | ( | const String & | str | ) | `[static]`

Converts the contents of the string to a Real.

Remarks:
  Assumes the only contents of the string are a valid parsable Real. Defaults to a value of 0.0 if conversion is not possible.

void Ogre::StringUtil::toUpperCase | ( | String & | str | ) | `[static]`

| Lower-cases all the characters in the string.

void Ogre::StringUtil::trim | ( | String & | str,
|  | bool | left = true,
|  | bool | right = true
| ) | `[static]`

Removes any whitespace characters, be it standard space or TABs and so on.

Remarks:
  The user may specify wether they want to trim only the beginning or the end of the String ( the default action is to trim both).

## Member Data Documentation

const String Ogre::StringUtil::BLANK `[static]`

| Constant blank string, useful for returning by ref where local does not exist. Definition at line 162 of file OgreString.h.

The documentation for this class was generated from the following file:

- OgreString.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:40:27 2005